function DLC_enter()

mode=global.GetGameMode()
if mode~=3 then
global.SetWideScreen(0)
ui.Message(170772)
flag.SetValue(6001,451)
global.PlayMusic(170,0)
global.PlayMusic(223,0)
global.PlayMusic(224,0)
global.PlayMusic(221,0)
global.PlayMusic(222,0)
global.PlayMusic(-1,0)
global.Restart()
effect.FadeIn(1,1)

else

if flag.GetValue(6001)~=1 then

global.BeginScene()
global.SetWideScreen(0)
ui.Message(170773)
flag.SetValue(6001,451)
global.PlayMusic(170,0)
global.PlayMusic(223,0)
global.PlayMusic(224,0)
global.PlayMusic(221,0)
global.PlayMusic(222,0)
global.PlayMusic(-1,0)
global.Restart()
effect.FadeIn(1,1)

else

-----开启场景小地图
flag.SetValue(16927,1)
flag.SetValue(16950,1)
flag.SetValue(16951,1)
flag.SetValue(16952,1)
flag.SetValue(16953,1)	

if flag.GetValue(44001)==0 then

flag.SetValue(33555,5)--标记是DLC，技能学习用

player.AddMagic(3035)--瑕
flag.SetValue(33034,2)--标记学会瑕
player.AddMagic(3036)--瑾
flag.SetValue(33121,2)--标记学会瑾

player.AddItem(3202,81,0)--得到81个生死诀

end



	local Mid=map.GetCurrentMapID()
	if flag.GetValue(44001)==0 then
		global.CallScript(24101)
	else
	if (Mid<4000 and Mid~=1103 and Mid~=1105 and Mid~=1104 and Mid~=1102) or Mid>4100 then
		player.Control(0)
		--ui.CloseFan()
		flag.SetValue(42006,1) --播传送特效控制旗标
		flag.SetValue(42001,map.GetCurrentMapID())
		local pid=player.GetMainPlayer()
		local x1,y1,z1=player.GetPos(pid)
		flag.SetValue(42002,x1)
		flag.SetValue(42003,z1)
		
		--保存当前队伍
		local fid=42011
		local pid
		for i=0,9,1 do
			pid=2^i
			if player.IsPlayerInTeam(pid)==1 then
				flag.SetValue(fid+i,1)
			else
				flag.SetValue(fid+i,0)
			end
		end
				
				
		--队伍只保留夏侯
		if player.IsPlayerInTeam(1)==0 then
			player.Add(1)
		end
		local pid
		for i=1,9,1 do
			pid=2^i
			if player.IsPlayerInTeam(pid)==1 then
				player.Remove(pid)
			end
		end
				
		
		map.Change(1,4001)
		player.SetPos(2607,4614)
		player.SetAt(0,1)
			
		player.Control(1)
	else
		
		player.Control(0)
		
		if Mid~=4001 then
			flag.SetValue(42006,1) --播传送特效控制旗标
			map.Change(1,4001)
			player.SetPos(2607,4614)
			player.SetAt(0,1)
		else
			player.SetPos(2607,4614)
			player.SetAt(0,1)
			local mpid=player.GetMainPlayer()
			player.CreateSE(mpid,2659)
			global.Wait(2)
		end

		player.Control(1)
	end	
	end --if


end	

end	
	
end